Bug 248632 (xalan-c-review)

Summary: Review Request: xalan-c - Xalan XSLT processor for C
Product: [Fedora] Fedora Reporter: Don Pellegrino <don>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lkundrak
Target Milestone: ---Flags: kevin: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://xml.apache.org/xalan-c/download.html
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-26 14:24:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Don Pellegrino 2007-07-17 16:18:14 EDT
Fedora 7 includeds xerces-c, xerces-c-devel & xerces-c-doc.  These are great and
very useful.  Fedora 7 also includes xalan-j.  Unfortunately xalan-c is not
included.  It seems like xalan-c would be a good fit and make an nice addition
to the list of support packages.
Comment 1 Lubomir Kundrak 2007-11-19 15:57:22 EST
Spec URL: http://people.redhat.com/lkundrak/SPECS/xalan-c.spec
SRPM URL:
http://people.redhat.com/lkundrak/mock-results/xalan-c-1.10.0-2.fc8.x86_64/xalan-c-1.10.0-2.fc8.src.rpm
mock results:
http://people.redhat.com/lkundrak/mock-results/xalan-c-1.10.0-2.fc8.x86_64/
Description: Xalan XSLT processor for C

xalan-c is a robust implementation of the W3C Recommendations for XSL
Transformations (XSLT) and the XML Path Language (XPath).
Comment 2 Kevin Fenzi 2007-11-20 21:13:40 EST
I would be happy to review this... 

Lubomir: You are the submitter here? 

Look for a full review in a bit. 
Comment 3 Kevin Fenzi 2007-11-20 22:03:59 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (ASL 2.0)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0a3fbb535885531cc544b07a2060bfb1  Xalan-C_1_10_0-src.tar.gz
0a3fbb535885531cc544b07a2060bfb1  Xalan-C_1_10_0-src.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

Non blocker issues to note:

- Might ask upsteam to not ship CVS dirs in their release tar to
avoid you having to remove them.

- The upstream web page confusingly calls this "Xalan-C++", even tho
the release tar, download dirs and other places call it xalan-c.
Perhaps ask them which it really should be?

1. rpmlint says:

ignore:

xalan-c-devel.i386: W: no-documentation

Perhaps this tar.gz should be unpacked?
Or is it needed in that format as part of docs?

xalan-c-doc.i386: W: file-not-utf8
/usr/share/doc/xalan-c-doc-1.10.0/xdocs/xml-site-style.tar.gz

If possible, docs should be readonly...

xalan-c-doc.i386: W: spurious-executable-perm
/usr/share/doc/xalan-c-doc-1.10.0/samples/configure
xalan-c-doc.i386: W: spurious-executable-perm
/usr/share/doc/xalan-c-doc-1.10.0/samples/runConfigure
xalan-c-doc.i386: W: spurious-executable-perm
/usr/share/doc/xalan-c-doc-1.10.0/xdocs/run
xalan-c-doc.i386: W: spurious-executable-perm
/usr/share/doc/xalan-c-doc-1.10.0/samples/configure.in

Those items are quite minor however, so if you could look
into them before importing that would be fine.

This package is APPROVED.
Comment 4 Ville Skyttä 2007-11-21 12:50:25 EST
If you're interested in cross-checking things, I have an old, currently
unmaintained package of this available at
http://cachalot.mine.nu/unmaintained/xalan-c-1.10-0.3.cmn7.src.rpm
Comment 5 Lubomir Kundrak 2007-11-21 15:39:26 EST
Heh, I forgot to add myself to CC, I found this again just by accident :)

Kevin, thanks for the review, especially for the notes about the documentation
-- they're valuable to me as I was not sure how to handle it.

I'll look at those issues in detail tomorrow, and will also ask upstream about
the packaging weirdnesses.

New Package CVS Request
=======================
Package Name: xalan-c
Short Description: Xalan XSLT processor for C
Owners: lkundrak
Branches: EL-4 EL-5 F-7 F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-11-26 12:16:14 EST
cvs done.
Comment 7 Lubomir Kundrak 2007-11-26 14:24:04 EST
Thanks, Kevin!
Imported and built for all branches.
Comment 8 Lubomir Kundrak 2008-01-04 20:02:54 EST
Suggestion about CVS dir inclusion and the project name were forwarded upstream.